Bug 1564748 - Gnome Shell should terminate running Calculator operations when closing overview
Summary: Gnome Shell should terminate running Calculator operations when closing overview
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 12:09 UTC by Marek Suchánek
Modified: 2018-11-30 20:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:52:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Marek Suchánek 2018-04-07 12:09:43 UTC
Description of problem:

In the Activities search field, if I type an expression that can be evaluated by the Calculator search plugin, the calculation keeps running even after I close Activities. This becomes a problem when the expression is extremely hard to calculate but easy to type: a good example is "10!!!". This causes the gnome-calculator process to keep running in the background and consuming 100% CPU.

  Version-Release number of selected component (if applicable):

Fedora 27 with Gnome 3.26.2.

  How reproducible:

Always.

  Steps to reproduce:

1. Enable the Calculator search plugin.
2. Open Activities.
3. Type "10!!!" in the search field. Calculator now attempts to calculate 
   a ridiculously big factorial.
4. Close activities.

  Actual results:

The gnome-calculator process is using 100% of a single core, because the factorial would take ages to compute. Your laptop fan is suddenly whirring for no apparent reason.

  Expected results:

The Calculator operation is terminated as soon as the Activities search is closed. There is no surprising CPU usage.

Possibly, the search could also sanitize Calculator input to prevent too demanding calculations, but this seems like a much more complex solution.

  Additional info:

This could potentially be a Calculator bug, too. Feel free to reassign it as necessary.

I've also filed an issue on the new Gnome GitLab, because I wasn't sure which place is better for this: https://gitlab.gnome.org/GNOME/gnome-shell/issues/183

Comment 1 Marek Suchánek 2018-04-07 12:14:01 UTC
I've also tested this on RHEL 7.4 in a VM. The result is the same.

Comment 2 Ben Cotton 2018-11-27 16:17:29 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 20:52:00 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.